

{ config,
  nixosConfig,
  pkgs,
  inputs,
  home-manager,
  ... }:

{

  imports = [
     #inputs.nix-index-db.hmModules.nix-index
  ];

  # systemd.user.services.mailsync = {

  #}

  home.packages = with pkgs; [
    cider
    prismlauncher
    firefox
    librewolf
    neomutt
    dunst
    mutt-wizard
    pass
    isync
    msmtp
    notmuch
    kitty
    lynx
    playerctl
    nheko
    hyprpaper
    xdg-desktop-portal-hyprland
    pavucontrol
    slurp
    grim
    wofi
    imv
    swaylock-effects
    qt5ct
    qt6ct
    mpv
  ];
  #programs.hyprland.enable = true;
  # hyprland.homeManagerModules.default
  #wayland.windowManager.hyprland.enable = true;

  xdg.configFile = { 
    "hypr" = {
      source = config.lib.file.mkOutOfStoreSymlink "/etc/nixos/config/hypr";
      recursive = true;
    };
  };

  systemd.user.services = {
    mailsync = {
      Unit = {
        Description = "Syncs email";
	After = [ "network-online.target" ];
      };
      Service = {
        Type = "oneshot";
	ExecStart = "${pkgs.mutt-wizard}/bin/mailsync";
	Environment =  [
	  "SASL_PATH=/run/current-system/sw/lib/sasl2" 
	  "LOGNAME=stitchynyan"
	  "USER=stitchynyan" ];
      };
      Install.WantedBy = [ "default.target" ];
    };
  };

  systemd.user.timers = {
    mailsync = {
      Unit.Description = "Syncs emai";
      Timer = {
        OnBootSec = "1min";
	OnUnitActiveSec = "10min";
      };
      Install.WantedBy = [ "timers.target" ];
    };
  };


  
  # Read the Docs before change
  home.stateVersion = "23.05";
  home.homeDirectory = "/home/stitchynyan";
}
